
// NETSDKDemo3.0.3.h : main header file for the PROJECT_NAME application
//

#pragma once

#ifndef __AFXWIN_H__
	#error "include 'stdafx.h' before including this file for PCH"
#endif

#include "resource.h"		// main symbols
#include "NetDEVSDK.h"
#include <vector>

// CNETSDKDemo303App:
// See NETSDKDemo3.0.3.cpp for the implementation of this class
//
extern bool MBToUTF8(const CHAR *pszMultiText, CHAR *pszUtf8Text, INT32 dwBufferSize);
extern bool UTF8ToMB(const CHAR *pszUtf8Text, CHAR *pszMultiText, INT32 dwBufferSize);

class CNETSDKDemo303App : public CWinApp/*Ex*/
{
public:
	CNETSDKDemo303App();

// Overrides
	public:
	virtual BOOL InitInstance();

// Implementation

	DECLARE_MESSAGE_MAP()
};

extern CNETSDKDemo303App theApp;

extern LONG m_lChannelID;
extern LPVOID m_lpDevHandle;
extern LPVOID m_lpPlayHandle;
extern LPVOID m_lpPicHandle;
extern LPVOID glParkDlg;
extern LPVOID m_lpTmsPicHandle;
extern CStatic m_hVid;
extern CStatic m_hPic;
extern CHAR gszCurrentDir[MAX_PATH];